# Information Schema EVENTS Table

The [Information Schema](/docs/server/reference/system-tables/information-schema.md) `EVENTS` table stores information about [Events](/docs/server/server-usage/triggers-events/event-scheduler.md) on the server.

It contains the following columns:

<table data-header-hidden="false" data-header-sticky><thead><tr><th>Column</th><th>Description</th></tr></thead><tbody><tr><td>EVENT_CATALOG</td><td>Always def.</td></tr><tr><td>EVENT_SCHEMA</td><td>Database where the event was defined.</td></tr><tr><td>EVENT_NAME</td><td>Event name.</td></tr><tr><td>DEFINER</td><td>Event definer.</td></tr><tr><td>TIME_ZONE</td><td>Time zone used for the event's scheduling and execution, by default SYSTEM.</td></tr><tr><td>EVENT_BODY</td><td>SQL.</td></tr><tr><td>EVENT_DEFINITION</td><td>The SQL defining the event.</td></tr><tr><td>EVENT_TYPE</td><td>Either ONE TIME or RECURRING.</td></tr><tr><td>EXECUTE_AT</td><td><a href="/pages/J1NhBaayQxo76SuocE0E">DATETIME</a> when the event is set to execute, or NULL if recurring.</td></tr><tr><td>INTERVAL_VALUE</td><td>Numeric interval between event executions for a recurring event, or NULL if not recurring.</td></tr><tr><td>INTERVAL_FIELD</td><td>Interval unit (e.g., HOUR)</td></tr><tr><td>SQL_MODE</td><td>The <a href="/pages/LthJr8OlJ7TPk7DPR8DO">SQL_MODE</a> at the time the event was created.</td></tr><tr><td>STARTS</td><td>Start <a href="/pages/J1NhBaayQxo76SuocE0E">DATETIME</a> for a recurring event, NULL if not defined or not recurring.</td></tr><tr><td>ENDS</td><td>End <a href="/pages/J1NhBaayQxo76SuocE0E">DATETIME</a> for a recurring event, NULL if not defined or not recurring.</td></tr><tr><td>STATUS</td><td>One of ENABLED, DISABLED or /SLAVESIDE_DISABLED.</td></tr><tr><td>ON_COMPLETION</td><td>The ON COMPLETION clause, either PRESERVE or NOT PRESERVE .</td></tr><tr><td>CREATED</td><td>When the event was created.</td></tr><tr><td>LAST_ALTERED</td><td>When the event was last changed.</td></tr><tr><td>LAST_EXECUTED</td><td>When the event was last run.</td></tr><tr><td>EVENT_COMMENT</td><td>The comment provided in the <a href="/pages/w6O4suJkZccr00xHJLGl">CREATE EVENT</a> statement, or an empty string if none.</td></tr><tr><td>ORIGINATOR</td><td>MariaDB server ID on which the event was created.</td></tr><tr><td>CHARACTER_SET_CLIENT</td><td><a href="/pages/xrSGScA0IcbzH0p9P6k8#character_set_client">character_set_client</a> system variable session value at the time the event was created.</td></tr><tr><td>COLLATION_CONNECTION</td><td><a href="/pages/xrSGScA0IcbzH0p9P6k8#collation_connection">collation_connection</a> system variable session value at the time the event was created.</td></tr><tr><td>DATABASE_COLLATION</td><td>Database <a href="/pages/3fPKibGVGLRZCiej6OXV">collation</a> with which the event is linked.</td></tr></tbody></table>

The [SHOW EVENTS](/docs/server/reference/sql-statements/administrative-sql-statements/show/show-events.md) and [SHOW CREATE EVENT](/docs/server/reference/sql-statements/administrative-sql-statements/show/show-create-event.md) statements provide similar information.

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-events-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
